Summary:	CUE Sheet Parser Library
Summary(pl.UTF-8):	Biblioteka analizująca Cue Sheet
Name:		libcue
Version:	2.2.1
Release:	2
License:	GPL v2, parts BSD-like
Group:		Libraries
#Source0Download: https://github.com/lipnitsk/libcue/releases
Source0:	https://github.com/lipnitsk/libcue/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	1dfe65751c3817c76a107bd5a0d924a3
Patch0:         CVE-2023-43641.patch
URL:		https://github.com/lipnitsk/libcue
BuildRequires:	bison
BuildRequires:	cmake >= 2.8
BuildRequires:	flex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libcue is intended to parse a so called cue sheet (CD tracks layout)
from a char string or a file pointer. For handling of the parsed data
a convenient API is available.

This project is meant as a fork of cuetools by Svend Sorensen which
saw it last release in 02/2006. 

%description -l pl.UTF-8
Biblioteka libcue służy do analizy tzw. "cue sheet" (układu ścieżek
CD) z łańcucha znaków lub pliku. Dostępne jest wygodne API do obsługi
przeanalizowanych danych.

Ten projekt jest odgałęzieniem cuetools Svenda Sorensena, wydanych
po raz ostatni w lutym 2006.

%package devel
Summary:	Header files for libcue library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcue
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libcue-static

%description devel
Header files for libcue library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcue.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README.md
%attr(755,root,root) %{_libdir}/libcue.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcue.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcue.so
%{_includedir}/libcue.h
%{_includedir}/libcue
%{_pkgconfigdir}/libcue.pc
%changelog
* Tue Oct 10 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcue.git;a=log;h=master

* Tue Oct 10 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f3918c
- Rel 2; fix for CVE-2023-43641

* Fri Oct 11 2019 Jakub Bogusz <qboosh@pld-linux.org> 8f02d13
- updated to 2.2.1
- removed obsolete cmake patch

* Sat Jan 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 0b722b2
- updated to 2.1.0 (note: new soname, -static is gone)
- build system switched to cmake; removed obsolete am patch, added cmake patch with cmake related fixes

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 754c37e
- x32 rebuild
- release 2 (by relup.sh)

* Fri Feb 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 15016bb
- added am patch (fixes build with automake 1.13)

* Thu Jan 13 2011 Jakub Bogusz <qboosh@pld-linux.org> fcb754a
- updated to 1.4.0
- pl

* Thu Nov 19 2009 zbyniu <zbyniu@pld-linux.org> 8efe0fa
- BR: libtool

* Thu Nov 19 2009 Artur Frysiak <artur@frysiak.net> 2048757
- initial

